Bug 258873 - net-p2p/autoscan: New port
Summary: net-p2p/autoscan: New port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/Cloudbox/autoscan
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-02 19:35 UTC by Michiel van Baak
Modified: 2021-11-05 09:59 UTC (History)
1 user (show)

See Also:


Attachments
0001-net-p2p-autoscan-Add-new-port.-Version-1.2.0.patch (5.65 KB, patch)
2021-10-02 19:35 UTC, Michiel van Baak
michiel: maintainer-approval+
Details | Diff
autoscan-1.2.0.log (9.44 KB, text/plain)
2021-10-02 20:32 UTC, Michiel van Baak
michiel: maintainer-approval-
Details
0001-net-p2p-autoscan-Add-new-port.-Version-1.2.0.patch (5.78 KB, patch)
2021-10-14 12:04 UTC, Michiel van Baak
michiel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michiel van Baak 2021-10-02 19:35:44 UTC
Created attachment 228382 [details]
0001-net-p2p-autoscan-Add-new-port.-Version-1.2.0.patch

Autoscan replaces the default Plex and Emby behaviour
for picking up file changes on the file system.

Autoscan integrates with Sonarr, Radarr, Lidarr and Google Drive
to fetch changes in near real-time without relying on the file system.

poudriere 13.0 amd64: ok
runs on 13e0 amd64 in my 'production' setup

portlint -A gives a warning:
WARN: Makefile: possible direct use of command "autoscan" found. Use ${AUTOSCAN} instead and set USES=autoreconf and GNU_CONFIGURE=yes

Looks like it confuses the portname with the autoscan command as found in GNU configure

I asked on libera IRC #freebsd-ports and got the same answer, with the tip to simply ignore it.

We cant do a go build on this one, as the sqlite go mod used is mac/linux only (they released a new version with FreeBSD amd64 support, but autoscan needs to update to it before we can do a go build). That's why it uses linux emu and fetches the binary from github.
Comment 1 Michiel van Baak 2021-10-02 20:32:03 UTC
Created attachment 228383 [details]
autoscan-1.2.0.log

poudriere log
Comment 2 Michiel van Baak 2021-10-14 12:04:41 UTC
Created attachment 228694 [details]
0001-net-p2p-autoscan-Add-new-port.-Version-1.2.0.patch

Added documentation to service file about autoscan_group.
Comment 3 Michiel van Baak 2021-10-31 14:10:52 UTC
Created issue upstream to upgrade the sqlite mod so autoscan can be build on freebsd:
https://github.com/Cloudbox/autoscan/issues/135
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-03 15:54:14 UTC
(In reply to Michiel van Baak from comment #0)

Is it possible to build autoscan on FreeBSD by patching source files so it uses newer version of go-sqlite3?
Comment 5 Michiel van Baak 2021-11-03 17:33:41 UTC
(In reply to Yasuhiro Kimura from comment #4)

Probably. I have 0 experience in this part of the golanguage, so I will have to investigate.
If someone knows, please feel free to send in patches (here or on the upstream referencing the issue)
Comment 6 Yasuhiro Kimura freebsd_committer 2021-11-05 02:05:13 UTC
(In reply to Michiel van Baak from comment #5)

Thanks for replay. I thought it might be possible to add this port as one that builds native FreeBSD binaries. But I give it up and commit your patch anyway.
Comment 7 commit-hook freebsd_committer 2021-11-05 02:35:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3c0f0ac37fa62ab2e4abe40fc3cb31eeabd980b7

commit 3c0f0ac37fa62ab2e4abe40fc3cb31eeabd980b7
Author:     Michiel van Baak Jansen <michiel@vanbaak.eu>
AuthorDate: 2021-10-02 19:28:13 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-05 02:34:26 +0000

    net-p2p/autoscan: Add new port

    Autoscan replaces the default Plex and Emby behaviour for picking up
    file changes on the file system.

    Autoscan integrates with Sonarr, Radarr, Lidarr and Google Drive to
    fetch changes in near real-time without relying on the file system.

    PR:             258873

 GIDs                                     |  2 +-
 UIDs                                     |  2 +-
 net-p2p/Makefile                         |  1 +
 net-p2p/autoscan/Makefile (new)          | 36 +++++++++++++++++++
 net-p2p/autoscan/distinfo (new)          |  3 ++
 net-p2p/autoscan/files/autoscan.in (new) | 60 ++++++++++++++++++++++++++++++++
 net-p2p/autoscan/pkg-descr (new)         |  5 +++
 7 files changed, 107 insertions(+), 2 deletions(-)
Comment 8 Yasuhiro Kimura freebsd_committer 2021-11-05 02:40:30 UTC
Committed with following refinements.

* $FreeBSD:$ keyword is obsolete. So remove it from files/autoscan.in
* Add CONFLICTS_INSTALL to Makefile
* Re-format Makefile with portfmt

Thanks!
Comment 9 Michiel van Baak 2021-11-05 09:59:17 UTC
(In reply to Yasuhiro Kimura from comment #8)

Thanks! And sorry for the work you had to do. Next time I will pay more attention.